I tried to update the app, but I keep seeing a pop-up that says "Update Required!"

If you're seeing a pop-up in the app that says "Update Required! Update is required to run the application" here's something you can try:

For iOS:

  1. Open the App Store.
  2. Go to the "Updates" section of App Store.
  3. Tap near the top of the screen below the "Updates" text, then hold and pull down, then release.
  4. When the spinning wait cursor finishes spinning, any new app updates will appear.

For Android:

  1. Force quit the Google Play Store app.
  2. Re-open it to search for Embr Wave.
  3. Perform update.
Can’t find your answer in our support center? Contact us directly.